html {
  height: 100%;
  width: 100%;
  position: relative;
}

body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  min-height: 100%;
  display: flex;
  flex-direction: column;
}

.header_text {
  font-size: 42px;
  color: #fff;
  padding: 20px;
  margin: 0;
}

#intro_div {
  width: 90%;
  margin: auto;
  padding: 20px;
  font-size: 20px;
  line-height: 1.5;
}

#inputs_div {
  margin: auto;
  width: 90%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.input_wrapper {
  display: flex;
  flex-direction: column;
  width: 45%;
}

label {
  font-size: 16px;
  font-weight: bold;
  margin-bottom: 5px;
}

.word_input {
  text-align: center;
  width: 100%;
  height: 40px;
  font-size: 25px;
  padding: 5px;
}

#button_div {
  margin: auto;
  width: 90%;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 20px;
}

#go_button {
  height: 40px;
  width: 120px;
  font-size: 16px;
  background-color: #32a852;
  color: #fff;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  transition: transform 0.2s ease-in-out;
}

#go_button:hover {
  transform: scale(1.1);
}

@media screen and (min-width: 768px) {
  #go_button {
    width: 160px;
    font-size: 18px;
  }
}

#output_div {
  width: 90%;
  margin: auto;
  padding: 20px;
  font-size: 20px;
  line-height: 1.5;
  border: 1px solid #ccc;
  background-color: #f7f7f7;
}

#output_div.show {
  display: block;
  opacity: 1;
}

footer {
  background-color: #f7f7f7;
  padding: 20px;
  text-align: center;
  margin-top: auto;
}

.footer_text {
  font-size: 14px;
  color: #666;
}

header {
  background-color: #32a852;
  text-align: center;
  padding: 20px;
}

nav ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
  display: flex;
  justify-content: center;
}

nav li {
  margin: 0 10px;
}

.nav_links {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.nav_links a {
  text-decoration: none;
  color: #fff;
  font-size: 25px;
  transition: color 0.3s;
}

.nav_links a:hover {
  color: #ffa57d;
}

.about_div {
  width: 80%;
  padding: 20px;
  margin: auto;
  margin-bottom: 15px;
  margin-top: 15px;
  background-color: #fff;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.about_div h2 {
  font-size: 24px;
  margin-top: 0;
}

.about_div p {
  font-size: 20px;
  line-height: 1.5;
  margin-bottom: 10px;
}

.title_container {
  width: 90%;
  height: 50px;
  margin: auto;
  margin-top: 50px;
  margin-bottom: 25px;
}


@media only screen and (max-width: 600px) {
  .header_text {
    font-size: 32px;
  }

  .word_input {
    font-size: 16px;
    width: 80%;
  }

  #go_button {
    font-size: 18px;
    padding: 10px 20px;
  }

  #output {
    font-size: 16px;
  }

  .footer_text {
    font-size: 14px;
  }
}